import { BulletOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
import { Writeable } from '../../types';
export declare type BulletChartProps = Writeable<Omit<BaseChartProps<BulletOptions>, 'chart'> & BulletOptions>;
declare const BulletChart: import("vue-demi").DefineComponent<Writeable<Pick<BaseChartProps<BulletOptions>, "class" | "style" | "chartRef"> & BulletOptions>, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, import("vue-demi").EmitsOptions, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<{
    class: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | number[] | "auto" | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | import("@antv/g2/lib/interface").SyncViewPaddingFn | undefined;
    supportCSSTransform?: boolean | undefined;
    limitInPlot?: boolean | undefined;
    style?: string | import("vue-demi").CSSProperties | undefined;
    color?: {
        measure?: string | string[] | ((datum: Record<string, any>) => string) | undefined;
        target?: string | string[] | ((datum: Record<string, any>) => string) | undefined;
        range?: string | string[] | ((datum: Record<string, any>) => string) | undefined;
    } | undefined;
    chartRef?: import("vue-demi").Ref<import("@antv/g2plot").Plot<BulletOptions> | null> | undefined;
    data?: Record<string, any>[] | undefined;
    label?: {
        measure?: false | import("@antv/g2/lib/interface").GeometryLabelCfg | ((datum: Record<string, any>) => import("@antv/g2/lib/interface").GeometryLabelCfg) | undefined;
        target?: false | import("@antv/g2/lib/interface").GeometryLabelCfg | ((datum: Record<string, any>) => import("@antv/g2/lib/interface").GeometryLabelCfg) | undefined;
        range?: false | import("@antv/g2/lib/interface").GeometryLabelCfg | ((datum: Record<string, any>) => import("@antv/g2/lib/interface").GeometryLabelCfg) | undefined;
    } | undefined;
    legend?: false | import("@antv/g2/lib/interface").LegendCfg | undefined;
    meta?: unknown;
    xField?: string | undefined;
    localRefresh?: boolean | undefined;
    theme?: unknown;
    xAxis?: false | (import("@antv/g2/lib/interface").AxisCfg & Pick<import("@antv/g2plot").Meta, "base" | "mask" | "field" | "min" | "max" | "minLimit" | "maxLimit" | "alias" | "range" | "exponent" | "nice" | "ticks" | "tickInterval" | "minTickInterval" | "tickCount" | "maxTickCount" | "tickMethod" | "type" | "sync">) | undefined;
    yAxis?: false | (import("@antv/g2/lib/interface").AxisCfg & Pick<import("@antv/g2plot").Meta, "base" | "mask" | "field" | "min" | "max" | "minLimit" | "maxLimit" | "alias" | "range" | "exponent" | "nice" | "ticks" | "tickInterval" | "minTickInterval" | "tickCount" | "maxTickCount" | "tickMethod" | "type" | "sync">) | undefined;
    tooltip?: false | import("@antv/g2plot").TooltipOptions | undefined;
    slider?: boolean | import("@antv/g2/lib/interface").SliderCfg | undefined;
    scrollbar?: boolean | import("@antv/g2/lib/interface").ScrollbarCfg | undefined;
    animation?: false | import("@antv/g2/lib/interface").AnimateOption | undefined;
    interactions?: import("@antv/g2plot/lib/types/interaction").Interaction[] | undefined;
    annotations?: import("@antv/g2plot/lib/types/annotation").Annotation[] | undefined;
    state?: import("@antv/g2/lib/interface").StateCfg | undefined;
    measureField?: string | undefined;
    rangeField?: string | undefined;
    targetField?: string | undefined;
    size?: {
        measure?: number | [number, number] | ((datum: Record<string, any>) => number) | undefined;
        target?: number | [number, number] | ((datum: Record<string, any>) => number) | undefined;
        range?: number | [number, number] | ((datum: Record<string, any>) => number) | undefined;
    } | undefined;
    bulletStyle?: {
        measure?: import("@antv/g-base").ShapeAttrs | ((datum: Record<string, any>) => import("@antv/g-base").ShapeAttrs) | undefined;
        target?: import("@antv/g-base").ShapeAttrs | ((datum: Record<string, any>) => import("@antv/g-base").ShapeAttrs) | undefined;
        range?: import("@antv/g-base").ShapeAttrs | ((datum: Record<string, any>) => import("@antv/g-base").ShapeAttrs) | undefined;
    } | undefined;
    layout?: "horizontal" | "vertical" | undefined;
}>, {
    class: any;
}>;
export default BulletChart;
