import { DualAxesOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
import { Writeable } from '../../types';
export declare type DualAxesChartProps = Writeable<Omit<BaseChartProps<DualAxesOptions>, 'chart'> & DualAxesOptions>;
declare const DualAxesChart: import("vue-demi").DefineComponent<Writeable<Pick<BaseChartProps<DualAxesOptions>, "class" | "style" | "chartRef"> & Pick<import("@antv/g2plot").Options, "width" | "height" | "padding" | "appendPadding" | "renderer" | "pixelRatio" | "autoFit" | "syncViewPadding" | "supportCSSTransform" | "limitInPlot" | "label" | "legend" | "meta" | "localRefresh" | "theme" | "xAxis" | "tooltip" | "slider" | "scrollbar" | "animation" | "interactions" | "state"> & {
    readonly data: Record<string, any>[][];
    readonly xField: string;
    readonly yField: string[];
    readonly yAxis?: (false | (import("@antv/g2/lib/interface").AxisCfg & Pick<import("@antv/g2plot").Meta, "base" | "mask" | "field" | "min" | "max" | "minLimit" | "maxLimit" | "alias" | "range" | "exponent" | "nice" | "ticks" | "tickInterval" | "minTickInterval" | "tickCount" | "maxTickCount" | "tickMethod" | "type" | "sync">) | undefined)[] | Record<string, false | (import("@antv/g2/lib/interface").AxisCfg & Pick<import("@antv/g2plot").Meta, "base" | "mask" | "field" | "min" | "max" | "minLimit" | "maxLimit" | "alias" | "range" | "exponent" | "nice" | "ticks" | "tickInterval" | "minTickInterval" | "tickCount" | "maxTickCount" | "tickMethod" | "type" | "sync">) | undefined> | undefined;
    readonly geometryOptions?: import("@antv/g2plot/lib/plots/dual-axes/types").GeometryOption[] | undefined;
    readonly annotations?: (import("@antv/g2plot/lib/types/annotation").Annotation[] | undefined)[] | Record<string, import("@antv/g2plot/lib/types/annotation").Annotation[] | undefined> | undefined;
}>, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, import("vue-demi").EmitsOptions, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<{
    class: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | number[] | "auto" | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | import("@antv/g2/lib/interface").SyncViewPaddingFn | undefined;
    supportCSSTransform?: boolean | undefined;
    limitInPlot?: boolean | undefined;
    style?: string | import("vue-demi").CSSProperties | undefined;
    chartRef?: import("vue-demi").Ref<import("@antv/g2plot").Plot<DualAxesOptions> | null> | undefined;
    data?: Record<string, any>[][] | undefined;
    label?: false | ({
        readonly fields?: string[] | undefined;
        readonly callback?: import("@antv/g2/lib/interface").LabelCallback | undefined;
        readonly formatter?: string | import("@antv/g-base").IGroup | import("@antv/g-base").IShape | import("@antv/g2/lib/interface").GeometryLabelContentCallback | undefined;
    } & import("@antv/g2/lib/interface").GeometryLabelCfg) | undefined;
    legend?: false | import("@antv/g2/lib/interface").LegendCfg | undefined;
    meta?: unknown;
    xField?: string | undefined;
    yField?: string[] | undefined;
    localRefresh?: boolean | undefined;
    theme?: unknown;
    xAxis?: false | (import("@antv/g2/lib/interface").AxisCfg & Pick<import("@antv/g2plot").Meta, "base" | "mask" | "field" | "min" | "max" | "minLimit" | "maxLimit" | "alias" | "range" | "exponent" | "nice" | "ticks" | "tickInterval" | "minTickInterval" | "tickCount" | "maxTickCount" | "tickMethod" | "type" | "sync">) | undefined;
    yAxis?: unknown;
    tooltip?: false | import("@antv/g2plot").TooltipOptions | undefined;
    slider?: boolean | import("@antv/g2/lib/interface").SliderCfg | undefined;
    scrollbar?: boolean | import("@antv/g2/lib/interface").ScrollbarCfg | undefined;
    animation?: false | import("@antv/g2/lib/interface").AnimateOption | undefined;
    interactions?: import("@antv/g2plot/lib/types/interaction").Interaction[] | undefined;
    annotations?: unknown;
    state?: import("@antv/g2/lib/interface").StateCfg | undefined;
    geometryOptions?: import("@antv/g2plot/lib/plots/dual-axes/types").GeometryOption[] | undefined;
}>, {
    class: any;
}>;
export default DualAxesChart;
