import "core-js/modules/es.function.name.js";
import { createVNode as _createVNode, mergeProps as _mergeProps } from "vue";
import { defineComponent } from 'vue-demi';
import { Radar } from '@antv/g2plot';
import BaseChart from '../../components/base';
var RadarChart = defineComponent({
  name: 'RadarChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": Radar
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

RadarChart.install = function (app) {
  app.component(RadarChart.name, RadarChart);
};

export default RadarChart;