import "core-js/modules/es.function.name.js";
import { createVNode as _createVNode, mergeProps as _mergeProps } from "vue";
import { defineComponent } from 'vue-demi';
import { Treemap } from '@antv/g2plot';
import BaseChart from '../../components/base';
var TreemapChart = defineComponent({
  name: 'TreemapChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": Treemap
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

TreemapChart.install = function (app) {
  app.component(TreemapChart.name, TreemapChart);
};

export default TreemapChart;