"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _vue = require("vue");

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/objectWithoutProperties"));

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/objectSpread2"));

var _vueDemi = require("vue-demi");

var _isEqual = _interopRequireDefault(require("lodash/isEqual"));

var _cloneDeep = _interopRequireDefault(require("lodash/cloneDeep"));

var BaseChart = (0, _vueDemi.defineComponent)({
  inheritAttrs: false,
  name: 'BaseChart',
  mounted: function mounted() {
    var _ref = this.$attrs,
        Chart = _ref.chart;

    var _this$getChartConfig = this.getChartConfig(),
        data = _this$getChartConfig.data,
        config = _this$getChartConfig.config;

    this.config = (0, _cloneDeep.default)(config);
    var normalizedData = data || [];
    this.data = normalizedData;
    this.plot = new Chart(this.$el, (0, _objectSpread2.default)({
      data: normalizedData
    }, config));
    this.plot.render();
  },
  beforeUpdate: function beforeUpdate() {
    var _this$getChartConfig2 = this.getChartConfig(),
        data = _this$getChartConfig2.data,
        config = _this$getChartConfig2.config;

    var normalizedData = data || [];
    /* istanbul ignore else */

    if (this.plot) {
      if (!(0, _isEqual.default)(config, this.config) || !this.data.length) {
        this.config = (0, _cloneDeep.default)(config);
        this.plot.update((0, _objectSpread2.default)({
          data: normalizedData
        }, config));
        this.plot.render();
      } else {
        this.plot.changeData(normalizedData);
      }

      this.data = normalizedData;
    }
  },
  beforeUnmount: function beforeUnmount() {
    /* istanbul ignore else */
    if (this.plot) {
      this.plot.destroy();
    }
  },
  methods: {
    getChartConfig: function getChartConfig() {
      var _ref2 = this.$attrs,
          chart = _ref2.chart,
          chartRef = _ref2.chartRef,
          restProps = (0, _objectWithoutProperties2.default)(_ref2, ["chart", "chartRef"]);
      var data = restProps.data,
          config = (0, _objectWithoutProperties2.default)(restProps, ["data"]);
      return {
        data: data,
        config: config
      };
    }
  },
  render: function render() {
    return (0, _vue.createVNode)("div", null, null);
  }
});
var _default = BaseChart;
exports.default = _default;